     subroutine x_rflg_p(msgtype,flg)
     use x_gpvm_p
     implicit none
     include 'fpvm3.h'
     integer :: flg
     integer :: msgtype
     call pvmfrecv( mptid, msgtype, info )
     call pvmfunpack( INTEGER4, flg, 1, 1, info )
     end subroutine
